#include <iostream>

using namespace std;
int x,n,Min,Max,res;

void input(){
    Min=100000001;
    Max=-100000001;
    scanf("%i %i",&n,&x);
    int a[n];
    for (int i=0;i<n;i++){
        cin>>a[i];
        if(Max<a[i]){
            Max=a[i];
        }
        if(Min>a[i]){
            Min=a[i];
        }
    }
}

void solve(){
    if (Min>x){
        res=Max-x;
    }else{
        if (Max<x){
            res=x-Min;
        }else{
            res=min(Max-x,x-Min)+(Max-Min);
        }
    }
}

void output(){
    printf("%i",res);
}

void Run(){
    input();
    solve();
    output();
}

int main(){
    Run();
    return 0;
}